# bind.tcl --
#
# This demonstration script creates a text widget with bindings set
# up for hypertext-like effects.
#
# SCCS: @(#) bind.tcl 1.5 96/04/12 11:48:26

set w .bind
catch {destroy $w}
toplevel $w
wm title $w "Text Demonstration - Tag Bindings"
wm iconname $w "bind"
positionWindow $w

frame $w.buttons
pack $w.buttons -side bottom -fill x -pady 2m
button $w.buttons.dismiss -text λ -command "destroy $w"
button $w.buttons.code -text ɻ -command "showCode $w"
pack $w.buttons.dismiss $w.buttons.code -side left -expand 1

text $w.text -yscrollcommand "$w.scroll set" -setgrid true \
	-width 60 -height 24 -font $font -wrap word
scrollbar $w.scroll -command "$w.text yview"
pack $w.scroll -side right -fill y
pack $w.text -expand yes -fill both

# Set up display styles.

if {[winfo depth $w] > 1} {
    set bold "-background #43ce80 -relief raised -borderwidth 1"
    set normal "-background {} -relief flat"
} else {
    set bold "-foreground white -background black"
    set normal "-foreground {} -background {}"
}

# Add text to widget.

$w.text insert 0.0 {\
ƥwidgetɽ椹ΤƱΥᥫ˥ȤäơƥȤTclΥޥɤƤ뤳ȤǤޤˤꡢޥ䥭ܡɤΥTclΥޥɤ¹Ԥ褦ˤʤޤ㤨СΥХΥǥץˤĤƤʸˤϤΤ褦ʥĤƤޤޥʸξ˻äƤʸꡢܥ1򲡤ȤΥǥ⤬Ϥޤޤ

}
$w.text insert end \
{1. Х widget ˺뤳ȤΤǤ륢ƥμƤ˴ؤ륵ץ롣} d1
$w.text insert end \n\n
$w.text insert end \
{2. ñ 2ΥץåȡǡɽưȤǤ롣} d2
$w.text insert end \n\n
$w.text insert end \
{3. ƥȥƥΥ󥫡ȹ·} d3
$w.text insert end \n\n
$w.text insert end \
{4. 饤󥢥ƥΤƬηΥǥ} d4
$w.text insert end \n\n
$w.text insert end \
{5. ֥ȥåפѹ뤿εǽĤΥ롼顼} d5
$w.text insert end \n\n
$w.text insert end \
{6. Хɤäƥ뤹Τ򼨤åɡ} d6

# Create bindings for tags.

foreach tag {d1 d2 d3 d4 d5 d6} {
    $w.text tag bind $tag <Any-Enter> "$w.text tag configure $tag $bold"
    $w.text tag bind $tag <Any-Leave> "$w.text tag configure $tag $normal"
}
$w.text tag bind d1 <1> {source [file join $tk_library demos.jp items.tcl]}
$w.text tag bind d2 <1> {source [file join $tk_library demos.jp plot.tcl]}
$w.text tag bind d3 <1> {source [file join $tk_library demos.jp ctext.tcl]}
$w.text tag bind d4 <1> {source [file join $tk_library demos.jp arrow.tcl]}
$w.text tag bind d5 <1> {source [file join $tk_library demos.jp ruler.tcl]}
$w.text tag bind d6 <1> {source [file join $tk_library demos.jp cscroll.tcl]}

$w.text mark set insert 0.0
$w.text configure -state disabled
