# menu.tcl --
#
# This demonstration script creates a window with a bunch of menus
# and cascaded menus.
#
# SCCS: @(#) menu.tcl 1.7 96/04/12 11:57:35

set w .menu
catch {destroy $w}
toplevel $w
wm title $w "Menu Demonstration"
wm iconname $w "menu"
positionWindow $w

frame $w.menu -relief raised -bd 2
pack $w.menu -side top -fill x

label $w.msg -font $font -wraplength 4i -justify left -text "Υɥ͡ʥ˥塼ȥɥ˥塼鹽ƤޤAlt-X ϤȡX˥塼˥饤դɽƤʸʤСܡɤλ꤬Ǥޤǥ˥塼ΥȥСǽǤ˥塼ꤵ줿ݤˤϡڡǼ¹Ԥ뤳ȤǤޤ뤤ϡ饤դʸϤ뤳ȤǤ¹ԤǤޤ˥塼Υȥ꤬졼äƤϡΥ졼Ϥ뤳Ȥǥ˥塼ꤹ뤳Ȥʤ˼¹Ԥ뤳ȤǤޤ"
pack $w.msg -side top

frame $w.buttons
pack $w.buttons -side bottom -fill x -pady 2m
button $w.buttons.dismiss -text λ -command "destroy $w"
button $w.buttons.code -text "ɻ" -command "showCode $w"
pack $w.buttons.dismiss $w.buttons.code -side left -expand 1

set m $w.menu.file.m
menubutton $w.menu.file -text "File" -menu $m -underline 0
menu $m
$m add command -label " ..." -command {error "ϡǥǤΤ\" ...\"Ф륢Ƥޤ"}
$m add command -label "" -command {error "ϡǥǤΤ\" ...\"Ф륢Ƥޤ"}
$m add command -label "¸" -command {error "ϡǥǤΤ\"¸ ...\"Ф륢Ƥޤ"}
$m add command -label "¸() ..." -command {error "ϡǥǤΤ\"¸() ...\"Ф륢Ƥޤ"}
$m add separator
$m add command -label "ץ ..." -command {error "ϡǥǤΤ\"ץ ...\"Ф륢Ƥޤ"}
$m add command -label "ץ ..." -command {error "ϡǥǤΤ\"ץ ...\"Ф륢Ƥޤ"}
$m add separator
$m add command -label "λ" -command "destroy $w"

set m $w.menu.basic.m
menubutton $w.menu.basic -text "Basic" -menu $m -underline 0
menu $m
$m add command -label "⤷ʤĹȥ"
foreach i {a b c d e f g} {
    $m add command -label "ʸ \"$i\" " -underline 14 \
	    -accelerator Meta+$i -command "puts $i"
    bind $w <Meta-$i> "puts $i"
}

set m $w.menu.cascade.m
menubutton $w.menu.cascade -text "Cascades" -menu $m -underline 0
menu $m
$m add command -label ˤ \
	-command {puts stdout ˤ} -accelerator Control+a -underline 0
bind . <Control-a> {puts stdout ˤ}
$m add command -label 褦ʤ -command {\
    puts stdout 褦ʤ} -accelerator Control+b -underline 0
bind . <Control-b> {puts stdout 褦ʤ}
$m add cascade -label åܥ \
	-menu $w.menu.cascade.m.check -underline 0
$m add cascade -label 饸ܥ \
	-menu $w.menu.cascade.m.radio -underline 0

set m $w.menu.cascade.m.check
menu $m
$m add check -label "" -variable oil
$m add check -label "ȥ󥹥ߥå" -variable trans
$m add check -label "֥졼" -variable brakes
$m add check -label "饤" -variable lights
$m add separator
$m add command -label "ߤͤɽ" \
    -command "showVars $w.menu.cascade.dialog oil trans brakes lights"
$m invoke 1
$m invoke 3

set m $w.menu.cascade.m.radio
menu $m
$m add radio -label "10 ݥ" -variable pointSize -value 10
$m add radio -label "14 ݥ" -variable pointSize -value 14
$m add radio -label "18 ݥ" -variable pointSize -value 18
$m add radio -label "24 ݥ" -variable pointSize -value 24
$m add radio -label "32 ݥ" -variable pointSize -value 32
$m add sep
$m add radio -label "ޥ" -variable style -value roman
$m add radio -label "ܡ" -variable style -value bold
$m add radio -label "å" -variable style -value italic
$m add sep
$m add command -label "ߤͤɽ" \
	-command "showVars $w.menu.cascade.dialog pointSize style"
$m invoke 1
$m invoke 7

set m $w.menu.icon.m
menubutton $w.menu.icon -text "Icons" -menu $m -underline 0
menu $m
$m add command \
    -bitmap @[file join $tk_library demos images pattern.bmp] \
    -command {
	tk_dialog .pattern {Bitmap Menu Entry} {ʤ򤷤˥塼ιܤϥƥȤǤϤʤӥåȥޥåפɽƤޤʳǤ¾Υ˥塼ܤѤޤ} {} 0 λ
}
foreach i {info questhead error} {
    $m add command -bitmap $i -command "puts {You invoked the $i bitmap}"
}

set m $w.menu.more.m
menubutton $w.menu.more -text "More" -menu $m -underline 0
menu $m
foreach i {{ȥ} {̤Υȥ} {⤷ʤ} {ۤȤɲ⤷ʤ} {յΤ}} {
    $m add command -label $i -command [list puts "You invoked \"$i\""]
}

set m $w.menu.colors.m
menubutton $w.menu.colors -text "Colors" -menu $m -underline 1
menu $m
foreach i {red orange yellow green blue} {
    $m add command -label $i -background $i \
	    -command [list puts "You invoked \"$i\""]
}

pack $w.menu.file $w.menu.basic $w.menu.cascade $w.menu.icon $w.menu.more \
	$w.menu.colors -side left
